> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/network-services/vpn-gateway/api-how-tos/set-user-privileges-api.md).

# Set User Privileges via the API

IONOS CLOUD VPN Gateway: set user privileges for creating and managing VPN Gateways using the Cloud API

{% hint style="info" %}
**Prerequisite:** You need administrative privileges to create and assign user privileges using the Cloud API.
{% endhint %}

To set user privileges using the Cloud API for creating and managing VPN Gateways, follow these steps:

1. Authenticate to the Cloud API using your API credentials. For more information, see [<mark style="color:blue;">Get Started with IONOS CLOUD API</mark>](https://docs.ionos.com/cloud/api-reference/readme/getting-started).
2. Create a user using the POST `/cloudapi/v6/um/users` endpoint.
3. Set the following required parameters for the user: `user's name`, `email address`, and `password`.
4. Create a group using the POST `/cloudapi/v6/um/groups` endpoint.
5. Set `accessAndManageVpn` privilege to `true`.
6. Assign the user to the created group using POST `/cloudapi/v6/um/groups/{groupId}/users` endpoint.

{% hint style="info" %}
**Note:** Remember to provide the user ID in the request body as shown in the example: `id: <userID>`
{% endhint %}

{% hint style="success" %}
**Result:** The privilege to create and manage VPN Gateway is granted to the user.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/network-services/vpn-gateway/api-how-tos/set-user-privileges-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
